/**********************************************************************************/
/*                                                                                */
/*  File:    dxdbg.h                                                              */
/*  Author:  bkenwright@xbdev.net                                                 */
/*  Web:     www.xbdev.net                                                        */
/*  Date:    10-12-2003 (xmas)                                                    */
/*                                                                                */
/**********************************************************************************/

#ifndef DXDBG_H
#define DXDBG_H

#include <d3dx8.h>
#pragma comment(lib, "D3d8.lib")
#pragma comment(lib, "D3dx8.lib")


#define IDirect3DDevice		IDirect3DDevice8
#define IDirect3DTexture	IDirect3DTexture8



void StatsDisplay(IDirect3DDevice  * pDevice,
				 char * str);

void FlatTexture(IDirect3DDevice  * pDevice,
				 IDirect3DTexture * pTexture );

void TriDisplay(IDirect3DDevice  * pDevice,
				 int nTris);


void printf(IDirect3DDevice * pDevice,
			char * str, 
			float xpos = 10, 
			float ypos = 10, 
			unsigned int rgb = 0xffffff,
			int size = 15);


void FPSDisplay(IDirect3DDevice  * pDevice);

void FlatSquare(IDirect3DDevice  * pDevice, 
				int x, 
				int y, 
				int w, 
				int h,
				unsigned int col );


#endif // DXDBG_H